Send Pass To Email
curl --request POST \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passes
Send Pass To Email
Send a specific pass to a user’s email.
Parameters:
lpass: Pass object, automatically resolved from the request.temp_dir: Temporary directory path, automatically resolved.email: Email address to send the pass to.subject: Optional subject line for the email.message: Optional message body for the email.
Returns:
JSONResponse: A response indicating the success of the email sending operation.
POST
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
email
Send Pass To Email
curl --request POST \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/email"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
